Bug 403366 - No apply/discard prompt shows up when I leave sddm_kcm after uncheck "Auto-login" without apply the change
Summary: No apply/discard prompt shows up when I leave sddm_kcm after uncheck "Auto-l...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_sddm (show other bugs)
Version: 5.15.3
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-18 16:35 UTC by Patrick Silva
Modified: 2019-03-25 22:58 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-01-18 16:35:04 UTC
STEPS TO REPRODUCE
1. open sddm_kcm, click "Advanced" tab
2. check "Auto-login" setting, apply the change and close the kcm
3. reopen sddm_kcm, uncheck "Auto-login" setting, close the kcm

OBSERVED RESULT
no apply/discard prompt appears when the kcm is closed

EXPECTED RESULT
apply/discard prompt shows up when you close the kcm after uncheck "Auto-login" without apply the change.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.14.90
KDE Frameworks Version: 5.54.0
Qt Version: 5.12.0

ADDITIONAL INFORMATION
"Apply" button remains greyed out after you uncheck "Auto-login".
Comment 1 Neousr 2019-03-06 19:25:35 UTC
Can confirm on Neon 5.15.2

Nothing is saved and the apply button is disabled.
Comment 2 Laurent Montel 2019-03-23 08:00:53 UTC
Git commit ed3decc06e387217bc1318597ba1e97183d3b9b3 by Laurent Montel.
Committed on 23/03/2019 at 08:00.
Pushed by mlaurent into branch 'master'.

Fixed issue causing changed signal to be called with false argument

Summary:
 AdvanceConfig::changed signal is called with changed=false arguement when QGroupBox::clicked is called with checked=false causing the Apply button to remain disabled.

Test Plan:
1. Open SDDM settings
2. Enable auto-login, save and close.
3. Open SDDM settings again
4. Uncheck auto-login

Apply button should now be enabled.
Same steps for Relogin after quit checkbox.

Reviewers: mlaurent

Reviewed By: mlaurent

Subscribers: mlaurent, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D19959

M  +4    -2    src/advanceconfig.cpp

https://commits.kde.org/sddm-kcm/ed3decc06e387217bc1318597ba1e97183d3b9b3
Comment 3 Albert Astals Cid 2019-03-25 22:58:52 UTC
Git commit 0c76098e80c8ee61c7da9d85313461fc8a040651 by Albert Astals Cid, on behalf of Laurent Montel.
Committed on 25/03/2019 at 22:58.
Pushed by aacid into branch 'Plasma/5.15'.

Fixed issue causing changed signal to be called with false argument

Summary:
 AdvanceConfig::changed signal is called with changed=false arguement when QGroupBox::clicked is called with checked=false causing the Apply button to remain disabled.

Test Plan:
1. Open SDDM settings
2. Enable auto-login, save and close.
3. Open SDDM settings again
4. Uncheck auto-login

Apply button should now be enabled.
Same steps for Relogin after quit checkbox.

Reviewers: mlaurent

Reviewed By: mlaurent

Subscribers: mlaurent, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D19959

(cherry picked from commit ed3decc06e387217bc1318597ba1e97183d3b9b3)

M  +4    -2    src/advanceconfig.cpp

https://commits.kde.org/sddm-kcm/0c76098e80c8ee61c7da9d85313461fc8a040651